%define		template	varnish
Summary:	Varnish Cache statistics template for Cacti
Name:		cacti-template-%{template}
Version:	5
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/glensc/cacti-template-varnish/archive/v%{version}/%{template}-%{version}.tar.gz
# Source0-md5:	3ff32e25c6ea52ca46f4eda4139ea400
URL:		https://github.com/glensc/cacti-template-varnish
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Conflicts:	cacti-spine < 0.8.7e-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts

%description
Template for Cacti - Varnish Cache statistics.

%prep
%setup -qc
mv cacti-template-varnish-*/* -v .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{resourcedir},%{scriptsdir}}
install -p get_varnish_stats.py $RPM_BUILD_ROOT%{scriptsdir}
cp -p *.xml $RPM_BUILD_ROOT%{resourcedir}

%post
%cacti_import_template %{resourcedir}/cacti_host_template_varnish.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{scriptsdir}/get_varnish_stats.py
%{resourcedir}/*.xml
%changelog
* Sun Feb 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-template-varnish.git;a=log;h=master

* Sun Feb 09 2014 Elan Ruusamäe <glen@delfi.ee> 16f6567
- up to version 5, supports varnish 3

* Tue Aug 03 2010 Elan Ruusamäe <glen@pld-linux.org> 3378a0d
- note about management port

* Sat May 22 2010 sparky <sparky@pld-linux.org> f9b3410
- BR: rpm-pythonprov

* Thu Apr 15 2010 Elan Ruusamäe <glen@pld-linux.org> e073161
- add SPECFILE

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 2c0a0ad
- makefile for dist making

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 89d2e5e
- call this as version 3, separate README

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 6fc1f63
- shorten title a bit

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> a9e3258
- create README from the rar file

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 36ddf00
- use rpm macros for cacti_import_template
- conflict with spine with small result buffer

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 26a31dc
- updated template
- use cacti's own import template command

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 66300d6
- shorter names, fix data input method input string

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> efe12b7
- export again

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> bdab8e3
- export other host (i wish there be more consistent way of exporting)

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 29b8bf9
- v0.0.3: combine two templates: more graphs and use telnet port

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 985f107
- more friendly names

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 1e93736
- update fieldlist with counters from varnishstat, 12 more were missing

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 80f3cdc
- some fields were missing

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 0ce2bac
- fill output field friendly names from varnishstat output

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> e466f2e
- rename to use varnis_hostname, varnish_port definable in data source

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> 7a33c2b
- export using the python script

